<mat-card>
  <mat-card-header>
    <div mat-card-avatar class="example-header-image"></div>
    <mat-card-title>User List</mat-card-title>
  </mat-card-header>
  <mat-card-content>
    <mat-list role="list">
      <mat-list-item *ngFor="let user of users" (click) = "editUser(user)">
        <h3 mat-line>{{user.name}}</h3>
        <p mat-line>
          <span>{{user.email}}</span>
        </p>
        <mat-divider></mat-divider>
      </mat-list-item>
    </mat-list>
  </mat-card-content>
  <div *ngIf="!hideForm">
      <app-user-form [userOb] = "eventUserSubject.asObservable()"></app-user-form>
    </div>
    <button mat-flat-button color="primary" (click)="showForm()" class="add-button">Add new</button>
</mat-card>